Project:
RSS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007329Multi Theft Auto : San AndreasClientpublic2012-09-12 10:182013-11-28 09:26
ReporterW 
Assigned Toccw 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.3.2Fixed in Version1.3.2 
Summary0007329: In some places, at some camera angles, textures dissapear or flicker
DescriptionScreencast: http://lss-rp.pl/_/flickering.ogv [^]
Position: 2092, -1471, 23

There are many places like this in LS, I haven't yet found such places outside of it.

The textures dissapear/flicker mostly when the camera is looking down, but often even if it's looking horizontally (i.e. while driving a vehicle).
Steps To ReproduceDrive around 2092, -1471, 23 (LS, Idlewood) with camera looking down.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0017547)
DakiLLa (viewer)
2012-09-12 10:50

I can confirm this. Also, sometimes it depends on which weather has been set on the server.

Btw, you can check this video: http://www.youtube.com/watch?v=162cduRD8xs [^]
(0017548)
Muffins (viewer)
2012-09-12 13:34

http://beta.xfire.com/videos/5abab6/ [^]
I can confirmit too, check the video.
(0017550)
CWanted (updater)
2012-09-12 13:50

Isn't it GTA bug? I had it on old laptop due to overheating.
(0017551)
Muffins (viewer)
2012-09-12 14:10

It's a GTA bug, but the MTA Roleplay server claimed to fix it by, I quote
"What I did. was instead of making the objects load through map files and such
I load them through createObject on the client's side and then have the script adjust accordingly for the amount of objects loading nearest first. and moving the objects somewhere where the client doesnt have to read the bytecode. IE. another dimension"
And I confirm that flickering doesn't occur at all on their server. It should be fixable by MTA itself if it's fixable by using lua.
(0017553)
StifflersMom (viewer)
2012-09-12 16:04

This bug has nothing to do with loading objects by another method like createObject. The described flickering occures too without loading ANY objects or maps. Easier ways to reproduce is setting the weather to 10 and the time to evening time (eg. 21:00 or 23:00).

You can also change the flickering to other heights with setFarClipDistance. Setting it to 100 eliminates nearly all flickering problems, but the map shows badly. The flickering was described also in Bug 0007306 . We have scripted "around" this bug for weeks and there is no scripting solution except setting lower farClip.
(0017554)
Muffins (viewer)
2012-09-12 18:21

This bug also causes some lag due to obvious reasons. It doesn't happen to everyone for some odd reason. Lowering the drawing distance fixes this problem, but keeping it lower than 100 is a pain, as in most race, RP and RPG servers you -NEED- it to 100 to see vehicles.
(0017559)
StifflersMom (viewer)
2012-09-13 09:58

The lags are produced by a high cpu load on the client, if you look down and the ground disappears. I'm not a C programmer, so I guess, the renderer is stressed with something. On our servers we set farClip to 500, at this time we doesn't found any places, where textures dissapear. Also, the client's cpu load is normal then. This is a work around, which works for me until the bug is fixed. At Bug 0007306 ccw says "... The flickering is not going to be so easy to fix". So we have to wait ;-)
(0017583)
arranTuna (manager)
2012-09-16 12:34

1.4: http://code.google.com/p/mtasa-blue/source/detail?r=4669 [^]

1.3.1: http://code.google.com/p/mtasa-blue/source/detail?r=4670 [^]
(0017584)
W (viewer)
2012-09-16 13:18

Everything works great now, even with high FarClipDistance

http://i.imgur.com/4j1of.png [^]
(0017585)
StifflersMom (viewer)
2012-09-16 14:58

Normally, I don't add notes on fixed bugs - But let me say: THIS IS REALLY GREAT!
Thanks :-)
(0019273)
ata123456789 (viewer)
2013-09-04 20:21
edited on: 2013-09-04 20:22

This is very good fix, but not 100%.

Please check these videos, if these would be fixed, this will be fixed 100%.

www.mfr.clans.hu/SAMP/GTA_ObjectFlickering.mp4
www.mfr.clans.hu/SAMP/Flickering2.mp4

(0019274)
arranTuna (manager)
2013-09-04 20:24

That's because you're using a dodgy weather.
(0019276)
ata123456789 (viewer)
2013-09-04 21:08
edited on: 2013-09-04 21:15

Try it with another weather, set the far clip to 3000 and fog distance to 2800, you'll get the same result if you see down. I tested this on unmodded GTA, and still exists this problem.

Check the second video, there is normal weather, not what is buggy, and still flashes. But the weather is irrelevant to reproduce this bug, I said what you need to do if you want to reproduce this.

(0019280)
ccw (administrator)
2013-09-05 00:59

With setFarClipDistance set to 3000, there is a slight flickering when looking down at that one place in the map. Setting setFarClipDistance to 2500 fixes that.
There is nothing else we can do - Everything is maxed out in the code.
(0019720)
TheGTA (updater)
2013-11-28 09:26

https://wiki.multitheftauto.com/wiki/GTA:SA_Streaming_Garbage_Collection [^]
That article explains the farclip issue. Last weekend I reached a milestone by having the streaming system completely reversed. This issue is fixed. I will be talking to the devs this weekend for a solution in MTA:BLUE.

- Issue History
Date Modified Username Field Change
2012-09-12 10:18 W New Issue
2012-09-12 10:50 x86 Status new => confirmed
2012-09-12 10:50 DakiLLa Note Added: 0017547
2012-09-12 13:34 Muffins Note Added: 0017548
2012-09-12 13:50 CWanted Note Added: 0017550
2012-09-12 14:10 Muffins Note Added: 0017551
2012-09-12 16:04 StifflersMom Note Added: 0017553
2012-09-12 18:21 Muffins Note Added: 0017554
2012-09-13 09:58 StifflersMom Note Added: 0017559
2012-09-16 12:34 arranTuna Note Added: 0017583
2012-09-16 12:34 arranTuna Assigned To => ccw
2012-09-16 12:34 arranTuna Status confirmed => resolved
2012-09-16 12:34 arranTuna Resolution open => fixed
2012-09-16 13:18 W Note Added: 0017584
2012-09-16 14:58 StifflersMom Note Added: 0017585
2012-09-16 22:20 x86 Project New issues => Multi Theft Auto : San Andreas
2012-09-16 22:22 x86 Fixed in Version => 1.3.2
2012-09-16 22:22 x86 Target Version => 1.3.2
2013-09-04 20:21 ata123456789 Note Added: 0019273
2013-09-04 20:22 ata123456789 Note Edited: 0019273 View Revisions
2013-09-04 20:24 arranTuna Note Added: 0019274
2013-09-04 21:08 ata123456789 Note Added: 0019276
2013-09-04 21:09 ata123456789 Note Edited: 0019276 View Revisions
2013-09-04 21:15 ata123456789 Note Edited: 0019276 View Revisions
2013-09-05 00:59 ccw Note Added: 0019280
2013-11-28 09:26 TheGTA Note Added: 0019720


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker